### Function

# ECal ReminderData new

since: 3.30

#### Declaration [src]

    EReminderData*
    e_reminder_data_new (
      const gchar* source_uid,
      const ECalComponent* component,
      const ECalComponentAlarmInstance* instance
    )

#### Description

No description available.

Available since: 3.30

#### Parameters

`source_uid`

  Type: `const gchar*`

  An `ESource` UID, to which the `component` belongs.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`component`

  Type: `ECalComponent`

  An `ECalComponent`.

  The data is owned by the caller of the function.

`instance`

  Type: `ECalComponentAlarmInstance`

  An `ECalComponentAlarmInstance` describing one reminder instance.

  The data is owned by the caller of the function.

#### Return value

Type: `EReminderData`

A new `EReminderData` prefilled with given values. Free the returned structure with `e_reminder_data_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.